TLS API-Referenz
v1.6.2
OpenAPI herunterladen
Create TLS organization
Create a DigiCert-backed TLS organization including the local contact record used for OV or EV certificate ordering.
POST
/tls/organization
TLSOrganizations

Authentifizierung

x-api-keyapplication/json

Request Body

application/jsonPflicht
TLS organization payload
tlsOrganizationCreateRequest
tlsOrganizationCreateRequest
{
  "organization": "example",
  "first_name": "example",
  "last_name": "example",
  "address": "example",
  "postal_code": "example",
  "city": "example",
  "country_code": "example",
  "phone": "example",
  "email": "example"
}

Felder

Name
Typ
Format
Pflicht
Description
organization
string
Pflicht
first_name
string
Pflicht
last_name
string
Pflicht
address
string
Pflicht
postal_code
string
Pflicht
city
string
Pflicht
country_code
string
Pflicht
phone
string
Pflicht
email
string
Pflicht

Request-Beispiel

POST
curl --request POST \
  --url 'https://api.regfish.com/tls/organization' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "organization": "example",
  "first_name": "example",
  "last_name": "example",
  "address": "example",
  "postal_code": "example",
  "city": "example",
  "country_code": "example",
  "phone": "example",
  "email": "example"
}'

Responses

200
TLS organization created
application/jsontlsOrganizationResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "hdl_7K9QW3M2ZT8HJ",
    "organization": "example",
    "status": "ready",
    "usable_for_ordering": true,
    "first_name": "example",
    "last_name": "example",
    "address": "example",
    "postal_code": "example",
    "city": "example",
    "country_code": "example",
    "phone": "example",
    "email": "example"
  }
}
400
Invalid request payload
application/jsonError
Response-Beispiel 400
{
  "success": false,
  "message": "Invalid request payload",
  "error": "Invalid request payload"
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
502
Upstream TLS provider error
application/jsonError
Response-Beispiel 502
{
  "success": false,
  "message": "Upstream TLS provider error",
  "error": "Upstream TLS provider error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.